NonTransientDataAccessException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.dao

## Class NonTransientDataAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CleanupFailureDataAccessException, DataIntegrityViolationException, DataRetrievalFailureException, DataSourceLookupFailureException, InvalidDataAccessApiUsageException, InvalidDataAccessResourceUsageException, NonTransientDataAccessResourceException, PermissionDeniedDataAccessException, UncategorizedDataAccessException

      public abstract class NonTransientDataAccessException
      extends DataAccessException

  Root of the hierarchy of data access exceptions that are considered non-transient - where a retry of the same operation would fail unless the cause of the Exception is corrected.
  Since:
    2.5
  Author:
    Thomas Risberg
  See Also:
    `SQLNonTransientException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonTransientDataAccessException(String msg)` Constructor for NonTransientDataAccessException.
    `NonTransientDataAccessException(String msg, Throwable cause)` Constructor for NonTransientDataAccessException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonTransientDataAccessException

          public NonTransientDataAccessException(String msg)

      Constructor for NonTransientDataAccessException.
      Parameters:
        `msg` - the detail message

    - #### NonTransientDataAccessException

          public NonTransientDataAccessException(String msg,
                                         Throwable cause)

      Constructor for NonTransientDataAccessException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause (usually from using a underlying data access API such as JDBC)